Summary: A daemon to keep your CPU under your control
Name: NiceTool
Version: 0.5
Release: 1
Copyright: BSD or GPL
Source: NiceTool-0.5.tar.gz
Buildroot: /usr/src/redhat/root
Group: Utilities/System
Icon: nicetool.gif
Packager: Andrew G. Morgan <morgan@linux.ucla.edu>

%description
A couple of tools to automatically nice processes based on who owns them.

%prep
rm -rf $RPM_BUILD_ROOT/*

%setup

%build

%install

mkdir -p $RPM_BUILD_ROOT/usr/lib/rhs/control-panel
install -m 644 nicetool.init $RPM_BUILD_ROOT/usr/lib/rhs/control-panel/nicetool.init
install -m 644 nicetool.gif $RPM_BUILD_ROOT/usr/lib/rhs/control-panel/nicetool.gif

mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 500 nicetool $RPM_BUILD_ROOT/usr/bin/nicetool

mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 500 god $RPM_BUILD_ROOT/usr/sbin/god

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 500 god.init $RPM_BUILD_ROOT/etc/rc.d/init.d/god.init

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc0.d
ln -s ../init.d/god.init $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K05god

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc2.d
ln -s ../init.d/god.init $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S95god

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d
ln -s ../init.d/god.init $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S95god

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc5.d
ln -s ../init.d/god.init $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S95god

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc6.d
ln -s ../init.d/god.init $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K05god


%files
/usr/lib/rhs/control-panel/nicetool.init
/usr/lib/rhs/control-panel/nicetool.gif
/usr/bin/nicetool
/usr/sbin/god
/etc/rc.d/init.d/god.init
/etc/rc.d/rc0.d/K05god
/etc/rc.d/rc2.d/S95god
/etc/rc.d/rc3.d/S95god
/etc/rc.d/rc5.d/S95god
/etc/rc.d/rc6.d/K05god
%doc License README
